Bug 205141 - can't install samples features
can't install samples features
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 15:08 EDT by Ben Konrath
Modified: 2009-06-10 11:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 279813 None None None Never

  None (edit)
Description Ben Konrath 2006-09-04 15:08:10 EDT
Version-Release number of selected component (if applicable):

gcc-java-4.1.1-20
eclipse-platform-3.2.0-2

Steps to Reproduce:
1. Start eclipse with a new workspace. 
2. Click on the samples link on the welcome page.
3. Try to install a sample feature and get this message:
   "Cannot install featureorg.eclipse.sdk.samples 3.2.0"

We should also report the typo (missing space) upstream.
Comment 1 Ben Konrath 2007-02-06 14:26:46 EST
I investigated this briefly and noticed the code in pde.ui is trying to blindly
download sample code to /usr/share/eclipse without checking if the location is
read-only. Here's what I think the code shoud do:

if location is read-only
  if we have a configured site to write to
     write to configured update site
  else
     create a new configure update site in user's home dir and write there
  endif
else
  write to the eclipse install dir
endif

This is an upstream problem that depends on a solution to this upstream bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=90630 

I have no plans to fix this problem at this time.
Comment 2 Bug Zapper 2008-04-03 14:07:59 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:48:54 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 4 Bug Zapper 2008-05-13 22:19:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:16:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andrew Overholt 2009-06-10 11:00:47 EDT
This bug still exists.  I've filed it upstream.

Note You need to log in before you can comment on or make changes to this bug.